# this file must be UTF-8 encoded
#######################################################################
# GLOBAL MACROS 
#######################################################################

package Global

##########

_optsite_ {}


##########

_htmlextra_ {}

# now defined in nav_css/nav_ns4 macro files
#_starthighlight_ {<b><u>}
#_endhighlight_ {</u></b>}

#######################################################################
# page content
#
# these should always be overridden for each page/collection 
#######################################################################

_content_ {<p><h2>oops</h2>
_textdefaultcontent_}
_pagetitle_ {_textdefaulttitle_}
_imagethispage_ {}
_iconcollection_ {}
_collectionname_ {}


package Global
  

_imagecollection_ {_If_("_iconcollection_" ne "",
<a href="_httppageabout_"><img class="icon" src="_iconcollection_" alt="_collectionname_" title="_collectionname_"></a>,
_imagecollectionv_)}
_imagecollection_ [v=1] {_imagecollectionv_}
_imagecollectionv_ {_If_(_collectionname_,<p class="collectiontitle"><a class="collectiontitle" href="_httppageabout_">_collectionname_</a></p>)}

#######################################################################
# these width macros are read in by the server when calculating 
# width of navigation bar etc. There should be one for each 
# classification that this receptionist supports, one for the 
# search button, and the _pagewidth_ macro which is the total width
# of the page
#######################################################################

# width of tabs when displaying tables of contents
_tabwidth_ {25}

_pagewidth_ {537}
# defaultwidth is the width buttons default to if not included in this list
_defaultwidth_ {87}
_searchwidth_ {_widthtsrchx_}

#######################################################################
# Macros whose values are set from within the server at runtime. These 
# are here only for reference and to set default values if required.           
#######################################################################

# _win32_ will be set to 1 if we're on windows
_win32_ {}

_navigationbar_ {}
_widthtspace_ {2}

# The following is useful if collection specific macro.  Override
# _optnavigationbar_ to be empty if you don't want the navigation bar to
# appear in the standard place, and then specify _navigationbar_ elsewhere
# in a collection specific macro file(s) to be where you do want it.

# _optnavigationbar_ is now defined in nav_css/nav_ns4 macro files

# all cgi args are set as _cgiargX_ macros - those I've put here 
# are those that need to default to something
_cgiargd_ {}
_cgiargcl_ {}

# set from within the query action
_hselection_ {}
_jselection_ {}
_nselection_ {}
#level (granularity) selection for mgpp
_gselection_ {}
#level selection for form searching - dont have paragraph
_gformselection_ {_gselection_} 
_fqfselection_ {}

# this is used for the tabs (eg for search/classifiers) on the navigation bar
# parameters are:
# 1. the url to go to when clicked
# 2. the name of the tab
# 3. alt/title explanatory text
# 4. optional "selected" or not if it is the current tab

# _navtab_ is defined in the nav_css/nav_ns4 macro files


#######################################################################
# navigation bar images
#
#######################################################################

# the spacer image - the width of this is calculated and set from server
# _navbarspacer_ set in nav_css/ns4

# image macros for all the classifications currently supported by
# this receptionist.

## used to make the tabs in the navigation bar

# _navtabsearch_ defined in nav_css/ns4 macro files

# Dublin Core Metadata Element Set, Version 1.1

_navtabTitle_ {_navtab_(_httpbrowseTitle_,titles,_textdescrTitle_,_1_)}
_navtabCreator_ {_navtab_(_httpbrowseCreator_,creators,_textdescrCreator_,_1_)}
_navtabSubject_ {_navtab_(_httpbrowseSubject_,_labelSubject_,_textdescrSubject_,_1_)}
_navtabDescription_ {_navtab_(_httpbrowseDescription_,,_1_)}
_navtabPublisher_ {_navtab_(_httpbrowsePublisher_,tabtepublishers,_textdescrPublisher_,_1_)}
_navtabContributor_ {_navtab_(_httpbrowseContributor_,_labelContributor_,_textdescrContributor_,_1_)}
_navtabDate_ {_navtab_(_httpbrowseDate_,_labelDate_,_textdescrDate_,_1_)}
_navtabType_ {_navtab_(_httpbrowseType_,types,_textdescrType_,_1_)}
_navtabFormat_ {_navtab_(_httpbrowseFormat_,formats,_textdescrFormat_,_1_)}
_navtabIdentifier_ {_navtab_(_httpbrowseIdentifier_,identifiers,_textdescrIdentifier_,_1_)}
_navtabSource_ {_navtab_(_httpbrowseSource_,source,_textdescrSource_,_1_)}
_navtabLanguage_ {_navtab_(_httpbrowseLanguage_,language,_textdescrLanguage_,_1_)}
_navtabRelation_ {_navtab_(_httpbrowseRelation_,,_1_)}
_navtabCoverage_ {_navtab_(_httpbrowseCoverage_,coverage,_textdescrCoverage_,_1_)}
_navtabRights_ {_navtab_(_httpbrowseRights_,rights,_textdescrRights_,_1_)}

_navtabSeries_ {_navtab_(_httpbrowseSeries_,series,_textdescrSeries_,_1_)}
_navtabTo_ {_navtab_(_httpbrowseTo_,to,_textdescrTo_,_1_)}
_navtabFrom_ {_navtab_(_httpbrowseFrom_,from,_textdescrFrom_,_1_)}
_navtabOrganization_ {_navtab_(_httpbrowseOrganization_,,_1_)}
_navtabHowto_ {_navtab_(_httpbrowseHowto_,how,_textdescrHowto_,_1_)}
_navtabTopic_ {_navtab_(_httpbrowseTopic_,topic,_textdescrTopic_,_1_)}
_navtabBrowse_ {_navtab_(_httpbrowseBrowse_,browse,_textdescrBrowse_}
_navtabPeople_ {_navtab_(_httpbrowsePeople_,people,_textdescrPeople_,_1_)}
_navtabAcronym_ {_navtab_(_httpbrowseAcronym_,acronym,_textdescrAcronym_,_1_)}
_navtabCollage_ {_navtab_(_httpbrowseCollage_,collage,_textdescrCollage_,_1_)}
_navtabPhrase_ {_navtab_(_httpbrowsePhrase_,phrase,_textdescrPhrase_,_1_)}
_navtabArtist_ {_navtab_(_httpbrowseArtist_,artist,_textdescrArtist_,_1_)}
_navtabKeyword_ {_navtab_(_httpbrowseKeyword_,kw,_textdescrKeyword_,_1_)}
_navtabVolume_ {_navtab_(_httpbrowseVolume_,volume,_textdescrVolume_,_1_)}
_navtabCaptions_ {_navtab_(_httpbrowseCaptions_,captions,_textdescrCaptions_,_1_)}
_navtabCountries_ {_navtab_(_httpbrowseCountries_,countries,_textdescrCountries_,_1_)}

#######################################################################
# global navigation links
#######################################################################

# _globallinks_ is now defined in nav_css and nav_ns4 macro files

#######################################################################
# general web macros 
#######################################################################

_mailaddr_ {greenstone@cs.waikato.ac.nz}

_gsdltop_ {_top}

#######################################################################
# http macros 
#
# These contain the url without any quotes
#######################################################################

_httpcimages_ {_httpcollection_/images}
_httpcollimg_ {_httpcollection_/index/assoc}
_httpdocimg_ {_httpcollimg_/_thisOID_}

_httpcollection_ {_httpprefix_/collect/_cgiargc_}

_httppagex_ {_gwcgi_?e=_compressedoptions_&amp;a=p&amp;p=_1_}
_httppagestatus_ {_gwcgi_?e=_compressedoptions_&amp;a=status&amp;p=frameset}
_httppagetranslator_ {_gwcgi_?e=_compressedoptions_&amp;a=gti&amp;p=home}
_httppagecollector_ {_gwcgi_?e=_compressedoptions_&amp;a=collector&amp;p=intro}
_httppagegli_ {_httppagex_(gli)}
_httppageabout_ {_httppagex_(about)}
#_httppagehome_ {_httppagex_(home)}
###_httppagehome_ {http://www.nzdl.org/cgi-bin/dblibrary?a=p&amp;p=home}
_httppagehome_ {_gwcgi_?a=p&amp;p=home&amp;l=_cgiargl_&amp;w=_cgiargw_}
_httppagehelp_ {_httppagex_(help)}
_httppagepref_ {_httppagex_(preferences)}
_httppagedocs_ {_httppagex_(docs)}
_httpclearhistory_ {_gwcgi_?e=_compressedoptions_&amp;a=dh}

_httpgreenstone_ {_httppagex_(gsdl)}
_httpdownload_ {http://www.nzdl.org/download}
_httppublications_ {_httpdownload_/greenstone/publications}

_httpcurrentdocument_ {_gwcgi_?e=_compressedoptions_&amp;cl=_cgiargcl_&amp;d=_cgiargd_}
_httpquery_ {_gwcgi_?e=_compressedoptions_&amp;a=q}
_httpBrowse_ {_gwcgi_?e=_compressedoptions_&amp;a=br}

# _httpdoc_ is the same as _httpdocument_ - _httpdocument_
# may occasionally be altered by the server however
_httpdocument_ {_gwcgi_?e=_compressedoptions_&amp;a=d}
_httpdoc_  {_gwcgi_?e=_compressedoptions_&amp;a=d}

_httpextlink_ {_gwcgi_?e=_compressedoptions_&amp;a=extlink}
_httpbuild_ {_gwcgi_?e=_compressedoptions_&amp;a=bc}

# this is obsolete now (still used by collector). done by stylesheet instead
_httpiconchalk_ {_httpimg_/chalk.gif}
_widthchalk_ {2000}
_heightchalk_ {10}

_httpicondivb_ {_httpimg_/divb.gif}
# these sizes are obsolete, now done in style sheet
_widthdivb_ {_pagewidth_}
_heightdivb_ {17}

_httpicongsdl_ {_httpimg_/gsdl.gif}
_widthgsdl_ {140}
_heightgsdl_ {77}

_httpiconitext_ {_httpimg_/itext.gif}
_widthitext_ {16}
_heightitext_ {21}

_httpiconiworld_ {_httpimg_/iworld.gif}
_widthiworld_ {16}
_heightiworld_ {21}

_httpiconiunknown_ {_httpimg_/iunknown.gif}
_widthiunknown_ {16}
_heightiunknown_ {21}

_httpiconibtext_ {_httpimg_/ibtext.gif}
_widthibtext_ {16}
_heightibtext_ {21}

_httpiconimpegvideo_ {_httpimg_/impegvid.gif}
_widthimpegvideo_ {29}
_heightimpegvideo_ {32}

_httpiconiqtvideo_ {_httpimg_/iqtvideo.gif}
_widthiqtvideo_ {29}
_heightiqtvideo_ {32}

_httpiconirmvideo_ {_httpimg_/irmvideo.gif}
_widthirmvideo_ {29}
_heightirmvideo_ {32}

_httpiconless_ {_httpimg_/less.gif}
_widthless_ {30}
_heightless_ {16}

_httpiconmore_ {_httpimg_/more.gif}
_widthmore_ {30}
_heightmore_ {16}

_httpiconspacer_ {_httpimg_/spacer.gif}
_widthspacer_ {42}
_heightspacer_ {4}

_httpicontabspace_ {_httpimg_/tabspace.gif}
_widthtabspace_ {23}
_heighttabspace_ {1}

_httpicontspace_ {_httpimg_/bg_green.png}
_heighttspace_ {17}

_httpiconwarning_ {_httpimg_/warning.gif}
_widthwarning_ {30}
_heightwarning_ {29}

_widthhhome_ {200}
_heighthhome_ {57}

_httpiconarrrght_ {_httpimg_/arrrght.gif}
_widtharrrght_ {23}
_heightarrrght_ {15}

_httpiconopenbook_ {_httpimg_/openbook.gif}
_widthopenbook_ {28}
_heightopenbook_ {23}

_httpiconaopenbk_ {_httpimg_/aopenbk.gif}
_widthaopenbk_ {28}
_heightaopenbk_ {23}

_httpiconopenfldr_ {_httpimg_/openfldr.gif}
_widthopenfldr_ {23}
_heightopenfldr_ {15}

_httpiconaopenfdr_ {_httpimg_/aopenfdr.gif}
_widthaopenfdr_ {23}
_heightaopenfdr_ {15}

_httpiconbook_ {_httpimg_/book.gif}
_widthbook_ {18}
_heightbook_ {11}

_httpiconabook_ {_httpimg_/abook.gif}
_widthabook_ {18}
_heightabook_ {11}

_httpiconbshelf_ {_httpimg_/bshelf.gif}
_widthbshelf_ {20}
_heightbshelf_ {16}

_httpiconabshelf_ {_httpimg_/abshelf.gif}
_widthabshelf_ {20}
_heightabshelf_ {16}

_httpiconsmtext_ {_httpimg_/smtext.gif}
_widthsmtext_ {23}
_heightsmtext_ {15}

_httpiconasmtext_ {_httpimg_/asmtext.gif}
_widthasmtext_ {23}
_heightasmtext_ {15}

_httpiconclsdfldr_ {_httpimg_/clsdfldr.gif}
_widthclsdfldr_ {23}
_heightclsdfldr_ {15}

_httpiconaclsdfdr_ {_httpimg_/aclsdfdr.gif}
_widthaclsdfdr_ {23}
_heightaclsdfdr_ {15}

_httpiconimidi_ {_httpimg_/imidi.gif}
_widthimidi_ {16}
_heightimidi_ {21}

_httpiconimsword_ {_httpimg_/imsword.gif}
_widthimsword_ {26}
_heightimsword_ {26}

_httpiconimp3_ {_httpimg_/imp3.gif}
_widthimp3_ {25}
_heightimp3_ {20}

_httpiconipdf_ {_httpimg_/ipdf.gif}
_widthipdf_ {26}
_heightipdf_ {26}

_httpiconips_ {_httpimg_/ips.gif}
_widthips_ {25}
_heightips_ {32}

_httpiconippt_ {_httpimg_/ippt.gif}
_widthippt_ {32}
_heightippt_ {30}

_httpiconirtf_ {_httpimg_/irtf.gif}
_widthirtf_ {29}
_heightirtf_ {32}

_httpiconixls_ {_httpimg_/iexcel.gif}
_widthixls_ {32}
_heightixls_ {30}

#######################################################################
# Icons 
#
# Must not include links (so they can be used as links). If you want to
# include links use _image
#######################################################################

_iconnext_{<img src="_httpiconmore_" align="absbottom"
width="_widthmore_" height="_heightmore_" border="0" alt="_texticonnext_" title="_texticonnext_">}
_iconnext_[v=1] {_texticonnext_}

_iconprev_{<img src="_httpiconless_" align="absbottom"
width="_widthless_" height="_heightless_" border="0" alt="_texticonprev_" title="_texticonprev_">}
_iconprev_[v=1] {_texticonprev_}

_icontext_ {<img class="icon" src="_httpiconitext_" width="_widthitext_" height="_heightitext_" alt="_texticontext_" title="_texticontext_">}
_icontext_[v=1] {_texticontext_}

_iconworld_ {<img class="icon" src="_httpiconiworld_" width="_widthiworld_" height="_heightiworld_" alt="_texticonworld_" title="_texticonworld_">}
_iconworld_[v=1] {_texticonworld_}

_iconunknown_ {<img class="icon" src="_httpiconiunknown_" width="_widthiunknown_" height="_heightiunknown_" alt="_texticonunknown_" title="_texticonunknown_">}
_iconunknown_[v=1] {_texticonunknown_}

_iconblanktext_ {<img class="icon" src="_httpiconibtext_" width="_widthibtext_" height="_heightibtext_">}
_iconblanktext_[v=1] {}

_iconclosedbook_ {<img class="icon" src="_httpiconbook_" width="_widthbook_" height="_heightbook_" alt="_texticonclosedbook_" title="_texticonclosedbook_">}
_iconclosedbook_ [v=1] {<small><b>_texticonclosedbook_: </b></small>}
_iconclosedbook_ [v=1,l=zh]{<small><_font_><b>_texticonclosedbook_: </b></font></small>}

_icondoc_ {<img class="icon" src="_httpiconimsword_" width="_widthimsword_" height="_heightimsword_" alt="_texticonmsword_" title="_texticonmsword_">}
_icondoc_[v=1] {_texticonmsword_}

_iconmp3_ {<img class="icon" src="_httpiconimp3_" width="_widthimp3_" height="_heightimp3_" alt="_texticonmp3_" title="_texticonmp3_">}
_iconmp3_[v=1] {_texticonmp3_}

_iconmidi_ {<img class="icon" src="_httpiconimidi_" width="_widthimidi_" height="_heightimidi_" alt="_texticonmidi_" title="_texticonmidi_">}
_iconmidi_[v=1] {_texticonmidi_}

_iconpdf_ {<img class="icon" src="_httpiconipdf_" width="_widthipdf_" height="_heightipdf_" alt="_texticonpdf_" title="_texticonpdf_">}
_iconpdf_[v=1] {_texticonpdf_}

_iconps_ {<img class="icon" src="_httpiconips_" width="_widthips_" height="_heightips_" alt="_texticonps_" title="_texticonps_">}
_iconps_[v=1] {_texticonps_}

_iconppt_ {<img class="icon" src="_httpiconippt_" width="_widthippt_" height="_heightippt_" alt="_texticonppt_" title="_texticonppt_">}
_iconppt_[v=1] {_texticonppt_}

_iconrtf_ {<img class="icon" src="_httpiconirtf_" width="_widthirtf_" height="_heightirtf_" alt="_texticonrtf_" title="_texticonrtf_">}
_iconrtf_[v=1] {_texticonrtf_}

_iconxls_ {<img class="icon" src="_httpiconixls_" width="_widthixls_" height="_heightixls_" alt="_texticonxls_" title="_texticonxls_">}
_iconxls_[v=1] {_texticonxls_}

#######################################################################
# Image links 
#
# These might include a link (not like an _icon_
#######################################################################


_imagegreenstone_ {<img class="icon" src="_httpicongsdl_" width="_widthgsdl_" height="_heightgsdl_" alt="_textdescrgreenstone_" title="_textdescrgreenstone_">}

_imagegreenstone_[v=1] {_textdescrgreenstone_}

